> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Policy Assignments (Beta)

export const name_0 = "List Policy Assignments"

<Note>
  The {name_0} endpoint is still in beta and is subject to change.
</Note>


## OpenAPI

````yaml get /firework/v4/matching_policies/{policy_uuid}/assignments
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/matching_policies/{policy_uuid}/assignments:
    get:
      tags:
        - public
        - team=data-engineering
      summary: List Policy Assignments
      operationId: list_policy_assignments_matching_policies__policy_uuid__assignments_get
      parameters:
        - name: policy_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Policy Uuid
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: From
        - name: size
          in: query
          required: false
          schema:
            type: integer
            exclusiveMinimum: 0
            default: 25
            title: Size
        - name: order
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/OrderType'
            default: desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResults_PolicyAssignedIdentifierPayload_str_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrderType:
      type: string
      enum:
        - asc
        - desc
      title: OrderType
    PaginatedResults_PolicyAssignedIdentifierPayload_str_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PolicyAssignedIdentifierPayload'
          type: array
          title: Items
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - items
        - next
      title: PaginatedResults[PolicyAssignedIdentifierPayload, str]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PolicyAssignedIdentifierPayload:
      properties:
        identifier_id:
          type: integer
          title: Identifier Id
          description: The ID of the identifier this policy is assigned to
        identifier_name:
          type: string
          title: Identifier Name
          description: The name of the identifier this policy is assigned to
        clean_past_events:
          type: boolean
          title: Clean Past Events
          description: Whether this policy has been applied to historical events
        assigned_at:
          type: string
          format: date-time
          title: Assigned At
          description: The date and time this policy was assigned to the identifier
      type: object
      required:
        - identifier_id
        - identifier_name
        - clean_past_events
        - assigned_at
      title: PolicyAssignedIdentifierPayload
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````